package cc.toph.simplycompat.fabric;

import cc.toph.simplycompat.SimplyCompat;
import cc.toph.simplycompat.SimplyCompatPlatform;
import net.fabricmc.loader.api.FabricLoader;

import java.nio.file.Path;

public class SimplyCompatPlatformImpl {
    /**
     * Implementation of {@link SimplyCompatPlatform#getConfigDirectory()}.
     */
    public static Path getConfigDirectory() {
        return FabricLoader.getInstance().getConfigDir();
    }

    /**
     * Implementation of {@link SimplyCompatPlatform#getConfigDirectory()}.
     */
    public static String getVersion() {
        return FabricLoader.getInstance().getModContainer(SimplyCompat.MOD_ID).get().getMetadata().getVersion().toString();
    }


}