package cc.toph.simplycompat.forge;

import cc.toph.simplycompat.SimplyCompat;
import cc.toph.simplycompat.SimplyCompatPlatform;
import net.minecraftforge.fml.ModList;
import net.minecraftforge.fml.loading.FMLPaths;

import java.nio.file.Path;

public class SimplyCompatPlatformImpl {
    /**
     * Implementation of {@link SimplyCompatPlatform#getConfigDirectory()}.
     */
    public static Path getConfigDirectory() {
        return FMLPaths.CONFIGDIR.get();
    }

    /**
     * Implementation of {@link SimplyCompatPlatform#getConfigDirectory()}.
     */
    public static String getVersion() {
        return ModList.get().getModContainerById(SimplyCompat.MOD_ID).map(it -> it.getModInfo().getVersion().toString()).orElseThrow();
    }


}